package com.artfess.cqlt.manager;

import com.artfess.base.manager.BaseManager;
import com.artfess.cqlt.model.QfOperationMacrD;
import com.artfess.cqlt.model.QfOperationMacrM;
import com.artfess.cqlt.vo.FaTargetRespVo;
import com.artfess.cqlt.vo.ReportReqVo;

import java.util.List;

/**
 * 运营--宏观数据填报主表 服务类
 *
 * @company 阿特菲斯信息技术有限公司
 * @author 黎沐华
 * @since 2023-02-21
 */
public interface QfOperationMacrMManager extends BaseManager<QfOperationMacrM> {

    boolean importExcel(List<QfOperationMacrD> list, String mainId);

    boolean updateStatus(QfOperationMacrM t);

    boolean insertInfo(QfOperationMacrM t);

    boolean updateInfo(QfOperationMacrM t);

    List<FaTargetRespVo> data(ReportReqVo t);

    List<FaTargetRespVo> fromUnderData(ReportReqVo t);
}
